require "logstash/devutils/rspec/spec_helper"
require "logstash/inputs/nakadi"

describe LogStash::Inputs::Nakadi do
  let(:config) { {
      'event_types' => ['personalized-content-decision'],
      'host' => 'nakadi-staging.aruha-test.zalan.do'
  } }

  it "should start and stop" do
    #nakadi = LogStash::Inputs::Nakadi.new(config)
    #expect { nakadi.register }.not_to raise_error
    #sleep 1
    #expect { nakadi.stop }.not_to raise_error
  end

  it "should start listening" do
    nakadi = LogStash::Inputs::Nakadi.new(config)
    expect { nakadi.register }.not_to raise_error
    nakadi.run([])
    sleep 2
    expect { nakadi.stop }.not_to raise_error
  end
end
